%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-glance
Version:        10.3.1
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Glance
License:        Apache-2.0

URL:            https://launchpad.net/puppet-glance

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=10.3.1
Patch0001: 0001-Add-parameter-to-manage-packages-in-rbd-backend.patch
Patch0002: 0002-Add-more-settings-to-glance-api.patch
Patch0003: 0003-ocata-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0004: 0004-Switch-to-Zuul-v3-testing.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Glance

%prep
%setup -q -n openstack-glance-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/



%files
%{_datadir}/openstack-puppet/modules/glance/


%changelog
* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.3.1-3
- Switch to Zuul v3 testing

* Thu Nov 09 2017 Steve Linabery <slinaber@redhat.com> 10.3.1-2
- [ocata] Add Puppet package to bindep, for module build
- Add more settings to glance-api

* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 10.3.1-1
- Add parameter to manage packages in rbd backend
- Update to 10.3.1

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-2
- Load Glance DB metadefs

* Fri Feb 10 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0


